Subject: Re: bug#32342: [PATCH] Allow to override time_stamp with SOURCE_DATE_EPOCH

From: Jim Meyering <[email-masked]>
Date: Fri, 3 Aug 2018 14:49:24 +0200

On Thu, Aug 2, 2018 at 7:49 PM, Paul Eggert <[email-masked]> wrote:
> On 08/02/2018 09:12 AM, Jim Meyering wrote:
>> I had the same initial negative reaction to adding support for an
>> envvar, but given the minor effect and worthy goal, I think the
>> balance has tipped in favor of allowing this one.
>
> Yes, on further thought I'm inclined to go whole hog and just fix the durn
> thing without any fancy environment variables. In hindsight, that timestamp
> never should have been put in there when stdin is a pipe. I installed the
> attached patch, which should fix the problem. What do you think? Although
> this is not strictly backward-compatible and arguably violates the GNU
> coding guidelines, I can't imagine anybody really wants that timestamp in
> there (except perhaps for spy agencies trying to track what people are doing
> :-).

Thanks. With that, we'll have some NEWS for the next release. I'm not
planning a release at the moment, but do prefer to make a new one at
least once per year -- it's been almost 8 months.